package org.antlr.analysis;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.antlr.analysis.DFA;
import org.antlr.analysis.SemanticContext;
import org.antlr.codegen.CodeGenerator;
import org.stringtemplate.v4.ST;
import org.stringtemplate.v4.STGroup;

public class FalsePredicate extends SemanticContext.Predicate {
  public FalsePredicate() {
    super(0);
  }
  
  public ST genExpr(CodeGenerator generator, STGroup templates, DFA dfa) {
    if (templates != null)
      return templates.getInstanceOf("false"); 
    return new ST("false");
  }
  
  public boolean hasUserSemanticPredicate() {
    return false;
  }
  
  public String toString() {
    return "false";
  }
}
